<script setup lang="ts">
import type { PagePermission } from '~/models/role'
import Error from '~/components/pub/my-ui/error/error.vue'
import { PAGE_PERMISSIONS } from '~/lib/page-permission'

definePageMeta({
  middleware: ['rbac'],
  roles: ['doctor', 'nurse', 'admisi', 'pharmacy', 'billing', 'management'],
  title: 'Tambah Dokter',
  contentFrame: 'cf-full-width',
})

const route = useRoute()

useHead({
  title: () => route.meta.title as string,
})

const roleAccess: PagePermission = PAGE_PERMISSIONS['/doctor']

const { checkRole, hasCreateAccess } = useRBAC()

// Check if user has access to this page
const hasAccess = checkRole(roleAccess)
if (!hasAccess) {
  throw createError({
    statusCode: 403,
    statusMessage: 'Access denied',
  })
}

// Define permission-based computed properties
const canCreate = hasCreateAccess(roleAccess)
</script>

<template>
  <div v-if="canCreate">
    <ContentDoctorAdd />
  </div>
  <Error v-else :status-code="403" />
</template>
